Skip to main content
Server path: /okta-apps | Type: Application | PCID required: Yes

Tools

ToolDescription
okta-apps_activate_applicationActivate an application
okta-apps_assign_group_to_applicationAssign an application group
okta-apps_assign_user_to_applicationAssign an application user
okta-apps_create_applicationCreate an application
okta-apps_deactivate_applicationDeactivate an application
okta-apps_delete_applicationDelete an application
okta-apps_get_applicationRetrieve an application
okta-apps_get_application_group_assignmentRetrieve an application group
okta-apps_get_application_userRetrieve an application user
okta-apps_list_application_group_assignmentsList all application groups
okta-apps_list_application_usersList all application users
okta-apps_list_applicationsList all applications
okta-apps_replace_applicationReplace an application
okta-apps_unassign_application_from_groupUnassign an application group
okta-apps_unassign_user_from_applicationUnassign an application user
okta-apps_update_application_userUpdate an application user
okta-apps_update_group_assignment_to_applicationUpdate an application group

okta-apps_activate_application

Activate an application Parameters:
ParameterTypeRequiredDefaultDescription
appIdstringYesApplication ID

okta-apps_assign_group_to_application

Assign an application group Parameters:
ParameterTypeRequiredDefaultDescription
appIdstringYesApplication ID
groupIdstringYesThe id of the group
_embeddedobjectNoEmbedded resource related to the Application Group using the JSON Hypertext Application Language specification. If the expand=group query parameter is specified, then the group object is embedded. If the expand=metadata query parameter is specified, then the group assignment metadata is embedded.
_linksobjectNoThe links value
idstringNoID of the group
lastUpdatedobjectNoLast Updated
priorityintegerNoPriority assigned to the group. If an app has more than one group assigned to the same user, then the group with the higher priority has its profile applied to the application user. If a priority value isn’t specified, then the next highest priority is assigned by default. See Assign attribute group priority and the sample priority use case.
profileobjectNoSpecifies the profile properties applied to application users that are assigned to the app through group membership. Some reference properties are imported from the target app and can’t be configured. See profile.

okta-apps_assign_user_to_application

Assign an application user Parameters:
ParameterTypeRequiredDefaultDescription
appIdstringYesApplication ID
_embeddedobjectNoEmbedded resources related to the application user using the JSON Hypertext Application Language specification
_linksobjectNoSpecifies link relations (see Web Linking) available using the JSON Hypertext Application Language specification. This object is used for dynamic discovery of resources related to the application user.
createdobjectNoThe created value
credentialsobjectNoSpecifies a user’s credentials for the app. This parameter can be omitted for apps with sign-on mode (signOnMode) or authentication schemes (credentials.scheme) that don’t require credentials.
externalIdstringNoThe ID of the user in the target app that’s linked to the Okta application user object. This value is the native app-specific identifier or primary key for the user in the target app. The externalId is set during import when the user is confirmed (reconciled) or during provisioning when the user is created in the target app. This value isn’t populated for SSO app assignments (for example, SAML or SWA) because it isn’t synchronized with a target app.
idstringYesUnique identifier for the Okta user
lastSyncstringNoTimestamp of the last synchronization operation. This value is only updated for apps with the IMPORT_PROFILE_UPDATES or PUSH PROFILE_UPDATES feature.
lastUpdatedobjectNoLast Updated
passwordChangedstringnullNoTimestamp when the application user password was last changed
profileobjectNoSpecifies the default and custom profile properties for a user. Properties that are visible in the Admin Console for an app assignment can also be assigned through the API. Some properties are reference properties that are imported from the target app and can’t be configured. See profile.
scopestringNoIndicates if the assignment is direct (USER) or by group membership (GROUP). If not specified, Okta tries to determine the scope based on the assignment type.
statusstringNoStatus of an application user
statusChangedstringNoTimestamp when the application user status was last changed
syncStatestringNoThe synchronization state for the application user. The application user’s syncState depends on whether the PROFILE_MASTERING feature is enabled for the app. > Note: User provisioning currently must be configured through the Admin Console.

okta-apps_create_application

Create an application Parameters:
ParameterTypeRequiredDefaultDescription
activatebooleanNoExecutes activation lifecycle operation when creating the app
OktaAccessGateway-AgentstringNoOkta Access Gateway-agent
_embeddedobjectNoEmbedded resources related to the app using the JSON Hypertext Application Language specification. If the expand=user/{userId} query parameter is specified, then the assigned Application User is embedded.
_linksobjectNoDiscoverable resources related to the app
accessibilityobjectNoSpecifies access settings for the app
createdstringNoTimestamp when the application object was created
expressConfigurationobjectNo<div class=“x-lifecycle-container”><x-lifecycle class=“oie”></x-lifecycle></div> Indicates which Express Configuration capabilities the app supports and has enabled
featuresstring[]NoEnabled app features > Note: See Application Features for app provisioning features.
idstringNoUnique ID for the app instance
labelstringYesUser-defined display name for app
lastUpdatedstringNoTimestamp when the application object was last updated
licensingobjectNoLicenses for the app
ornstringNoThe Okta resource name (ORN) for the current app instance
profileobjectNoContains any valid JSON schema for specifying properties that can be referenced from a request (only available to OAuth 2.0 client apps). For example, add an app manager contact email address or define an allowlist of groups that you can then reference using the Okta Expression Language getFilteredGroups function. > Notes: > * profile isn’t encrypted, so don’t store sensitive data in it. > * profile doesn’t limit the level of nesting in the JSON schema you created, but there is a practical size limit. Okta recommends a JSON schema size of 1 MB or less for best performance.
signOnModestringYesAuthentication mode for the app | signOnMode | Description | | ---------- | ----------- | | AUTO_LOGIN | Secure Web Authentication (SWA) | | BASIC_AUTH | HTTP Basic Authentication with Okta Browser Plugin | | BOOKMARK | Just a bookmark (no-authentication) | | BROWSER_PLUGIN | Secure Web Authentication (SWA) with Okta Browser Plugin | | OPENID_CONNECT | Federated Authentication with OpenID Connect (OIDC) | | SAML_1_1 | Federated Authentication with SAML 1.1 WebSSO (not supported for custom apps) | | SAML_2_0 | Federated Authentication with SAML 2.0 WebSSO | | SECURE_PASSWORD_STORE | Secure Web Authentication (SWA) with POST (plugin not required) | | WS_FEDERATION | Federated Authentication with WS-Federation Passive Requestor Profile | Select the signOnMode for your custom app:
statusstringNoApp instance status
universalLogoutobjectNo<div class=“x-lifecycle-container”><x-lifecycle class=“oie”></x-lifecycle></div> Universal Logout properties for the app. These properties are only returned and can’t be updated.
visibilityobjectNoSpecifies visibility settings for the app

okta-apps_deactivate_application

Deactivate an application Parameters:
ParameterTypeRequiredDefaultDescription
appIdstringYesApplication ID

okta-apps_delete_application

Delete an application Parameters:
ParameterTypeRequiredDefaultDescription
appIdstringYesApplication ID

okta-apps_get_application

Retrieve an application Parameters:
ParameterTypeRequiredDefaultDescription
appIdstringYesApplication ID
expandstringNoAn optional query parameter to return the specified Application User in the _embedded property. Valid value: expand=user/&#123;userId&#125;

okta-apps_get_application_group_assignment

Retrieve an application group Parameters:
ParameterTypeRequiredDefaultDescription
appIdstringYesApplication ID
groupIdstringYesThe id of the group
expandstringNoAn optional query parameter to return the corresponding assigned group or the group assignment metadata details in the _embedded property.

okta-apps_get_application_user

Retrieve an application user Parameters:
ParameterTypeRequiredDefaultDescription
appIdstringYesApplication ID
userIdstringYesID of an existing Okta user
expandstringNoAn optional query parameter to return the corresponding User object in the _embedded property. Valid value: user

okta-apps_list_application_group_assignments

List all application groups Parameters:
ParameterTypeRequiredDefaultDescription
appIdstringYesApplication ID
qstringNoSpecifies a filter for a list of assigned groups returned based on their names. The value of q is matched against the group name. This filter only supports the startsWith operation that matches the q string against the beginning of the group name.
afterstringNoSpecifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the next link relationship. See Pagination.
limitintegerNoSpecifies the number of objects to return per page. If there are multiple pages of results, the Link header contains a next link that you need to use as an opaque value (follow it, don’t parse it). See Pagination.
expandstringNoAn optional query parameter to return the corresponding assigned group or the group assignment metadata details in the _embedded property.

okta-apps_list_application_users

List all application users Parameters:
ParameterTypeRequiredDefaultDescription
appIdstringYesApplication ID
afterstringNoSpecifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the next link relationship. See Pagination.
limitintegerNoSpecifies the number of objects to return per page. If there are multiple pages of results, the Link header contains a next link that you need to use as an opaque value (follow it, don’t parse it). See Pagination.
qstringNoSpecifies a filter for the list of application users returned based on their profile attributes. The value of q is matched against the beginning of the following profile attributes: userName, firstName, lastName, and email. This filter only supports the startsWith operation that matches the q string against the beginning of the attribute values. > Note: For OIDC apps, user profiles don’t contain the firstName or lastName attributes. Therefore, the query only matches against the userName or email attributes.
expandstringNoAn optional query parameter to return the corresponding User object in the _embedded property. Valid value: user

okta-apps_list_applications

List all applications Parameters:
ParameterTypeRequiredDefaultDescription
qstringNoSearches for apps with name or label properties that starts with the q value using the startsWith operation
afterstringNoSpecifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the next link relationship.
useOptimizationbooleanNoSpecifies whether to use query optimization. If you specify useOptimization=true in the request query, the response contains a subset of app instance properties.
alwaysIncludeVpnSettingsbooleanNoSpecifies whether to include the VPN configuration for existing notifications in the result, regardless of whether VPN notifications are configured
limitintegerNoSpecifies the number of results per page
filterstringNoFilters apps with a supported expression for a subset of properties. Filtering supports the following limited number of properties: id, status, credentials.signing.kid, settings.slo.enabled, or name. See Filter.
expandstringNoAn optional parameter used for link expansion to embed more resources in the response. Only supports expand=user/&#123;userId&#125; and must be used with the user.id eq "&#123;userId&#125;" filter query for the same user. Returns the assigned application user in the _embedded property.
includeNonDeletedbooleanNoSpecifies whether to include non-active, but not deleted apps in the results

okta-apps_replace_application

Replace an application Parameters:
ParameterTypeRequiredDefaultDescription
appIdstringYesApplication ID
_embeddedobjectNoEmbedded resources related to the app using the JSON Hypertext Application Language specification. If the expand=user/&#123;userId&#125; query parameter is specified, then the assigned Application User is embedded.
_linksobjectNoDiscoverable resources related to the app
accessibilityobjectNoSpecifies access settings for the app
createdstringNoTimestamp when the application object was created
expressConfigurationobjectNo<div class=“x-lifecycle-container”><x-lifecycle class=“oie”></x-lifecycle></div> Indicates which Express Configuration capabilities the app supports and has enabled
featuresstring[]NoEnabled app features > Note: See Application Features for app provisioning features.
idstringNoUnique ID for the app instance
labelstringYesUser-defined display name for app
lastUpdatedstringNoTimestamp when the application object was last updated
licensingobjectNoLicenses for the app
ornstringNoThe Okta resource name (ORN) for the current app instance
profileobjectNoContains any valid JSON schema for specifying properties that can be referenced from a request (only available to OAuth 2.0 client apps). For example, add an app manager contact email address or define an allowlist of groups that you can then reference using the Okta Expression Language getFilteredGroups function. > Notes: > * profile isn’t encrypted, so don’t store sensitive data in it. > * profile doesn’t limit the level of nesting in the JSON schema you created, but there is a practical size limit. Okta recommends a JSON schema size of 1 MB or less for best performance.
signOnModestringYesAuthentication mode for the app | signOnMode | Description | | ---------- | ----------- | | AUTO_LOGIN | Secure Web Authentication (SWA) | | BASIC_AUTH | HTTP Basic Authentication with Okta Browser Plugin | | BOOKMARK | Just a bookmark (no-authentication) | | BROWSER_PLUGIN | Secure Web Authentication (SWA) with Okta Browser Plugin | | OPENID_CONNECT | Federated Authentication with OpenID Connect (OIDC) | | SAML_1_1 | Federated Authentication with SAML 1.1 WebSSO (not supported for custom apps) | | SAML_2_0 | Federated Authentication with SAML 2.0 WebSSO | | SECURE_PASSWORD_STORE | Secure Web Authentication (SWA) with POST (plugin not required) | | WS_FEDERATION | Federated Authentication with WS-Federation Passive Requestor Profile | Select the signOnMode for your custom app:
statusstringNoApp instance status
universalLogoutobjectNo<div class=“x-lifecycle-container”><x-lifecycle class=“oie”></x-lifecycle></div> Universal Logout properties for the app. These properties are only returned and can’t be updated.
visibilityobjectNoSpecifies visibility settings for the app

okta-apps_unassign_application_from_group

Unassign an application group Parameters:
ParameterTypeRequiredDefaultDescription
appIdstringYesApplication ID
groupIdstringYesThe id of the group

okta-apps_unassign_user_from_application

Unassign an application user Parameters:
ParameterTypeRequiredDefaultDescription
appIdstringYesApplication ID
userIdstringYesID of an existing Okta user
sendEmailbooleanNoSends a deactivation email to the administrator if true

okta-apps_update_application_user

Update an application user Parameters:
ParameterTypeRequiredDefaultDescription
appIdstringYesApplication ID
userIdstringYesID of an existing Okta user
bodyobjectYesRequest body

okta-apps_update_group_assignment_to_application

Update an application group Parameters:
ParameterTypeRequiredDefaultDescription
appIdstringYesApplication ID
groupIdstringYesThe id of the group
bodyobject[]NoRequest body